## org.apache.fop.datatypes
Class Space

    java.lang.Object
      |
      +--org.apache.fop.datatypes.LengthRange
            |
            +--org.apache.fop.datatypes.Space

public class Space
extends LengthRange

a space quantity in XSL (space-before, space-after)

Constructor Summary
`Space()`

Method Summary
`Property` `getComponent(java.lang.String sCmpnName)`
`Property` `getConditionality()`
`Property` `getPrecedence()`
`void` `setComponent(java.lang.String sCmpnName, Property cmpnValue, boolean bIsDefault)`
`protected void` `setConditionality(Property conditionality, boolean bIsDefault)`
`protected void` `setPrecedence(Property precedence, boolean bIsDefault)`

Methods inherited from class org.apache.fop.datatypes.LengthRange
`getMaximum, getMinimum, getOptimum, setMaximum, setMinimum, setOptimum`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Space

    public Space()

Method Detail

### setComponent

    public void setComponent(java.lang.String sCmpnName,
                             Property cmpnValue,
                             boolean bIsDefault)

  Overrides:
    setComponent in class LengthRange

### getComponent

    public Property getComponent(java.lang.String sCmpnName)

  Overrides:
    getComponent in class LengthRange

### setPrecedence

    protected void setPrecedence(Property precedence,
                                 boolean bIsDefault)

### setConditionality

    protected void setConditionality(Property conditionality,
                                     boolean bIsDefault)

### getPrecedence

    public Property getPrecedence()

### getConditionality

    public Property getConditionality()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.